diff -rNci gcc-2.7.2/reg-stack.c gcc-2.7.2p/reg-stack.c
*** gcc-2.7.2/reg-stack.c	Thu Jun 15 21:36:05 1995
--- gcc-2.7.2p/reg-stack.c	Tue Jan 23 09:25:29 1996
***************
*** 230,235 ****
--- 230,238 ----
    ((INSN_UID (INSN) > max_uid)	\
     ? (abort() , -1) : block_number[INSN_UID (INSN)])
  
+ /* intel1 */
+ extern FILE *stack_reg_dump_file;
+ 
  extern rtx forced_labels;
  extern rtx gen_jump ();
  extern rtx gen_movdf (), gen_movxf ();
***************
*** 2121,2126 ****
--- 2124,2131 ----
  	replace_reg (dest, FIRST_STACK_REG);
  	break;
  
+       /* intel1 */
+       case FLOAT_EXTEND:
        case REG:
  	/* This is a `tstM2' case. */
  	if (*dest != cc0_rtx)
